Bug 1126760 - [abrt] systemd: ether_aton_r(): systemd-udevd killed by SIGSEGV
Summary: [abrt] systemd: ether_aton_r(): systemd-udevd killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: systemd
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: systemd-maint
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:eccbc446e48b90c602356ad0583...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-05 08:31 UTC by birger
Modified: 2014-11-08 11:57 UTC (History)
19 users (show)

Fixed In Version: systemd-215-19.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-05 08:14:56 UTC


Attachments (Terms of Use)
File: backtrace (16.51 KB, text/plain)
2014-08-05 08:31 UTC, birger
no flags Details
File: cgroup (206 bytes, text/plain)
2014-08-05 08:31 UTC, birger
no flags Details
File: core_backtrace (2.30 KB, text/plain)
2014-08-05 08:31 UTC, birger
no flags Details
File: dso_list (1.88 KB, text/plain)
2014-08-05 08:31 UTC, birger
no flags Details
File: environ (134 bytes, text/plain)
2014-08-05 08:31 UTC, birger
no flags Details
File: exploitable (82 bytes, text/plain)
2014-08-05 08:31 UTC, birger
no flags Details
File: limits (1.29 KB, text/plain)
2014-08-05 08:31 UTC, birger
no flags Details
File: maps (8.39 KB, text/plain)
2014-08-05 08:31 UTC, birger
no flags Details
File: open_fds (1.14 KB, text/plain)
2014-08-05 08:31 UTC, birger
no flags Details
File: proc_pid_status (1.03 KB, text/plain)
2014-08-05 08:31 UTC, birger
no flags Details
File: var_log_messages (2.01 KB, text/plain)
2014-08-05 08:31 UTC, birger
no flags Details

Description birger 2014-08-05 08:31:05 UTC
Version-Release number of selected component:
systemd-215-8.fc21

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/lib/systemd/systemd-udevd
crash_function: ether_aton_r
executable:     /usr/lib/systemd/systemd-udevd
kernel:         3.16.0-0.rc7.git4.1.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 ether_aton_r at ether_aton_r.c:35
 #1 ether_aton at ether_aton.c:27
 #2 link_config_get at ../src/udev/net/link-config.c:254
 #3 builtin_net_setup_link.lto_priv.132 at ../src/udev/udev-builtin-net_setup_link.c:43
 #4 udev_builtin_run.constprop.88 at ../src/udev/udev-builtin.c:137
 #5 udev_rules_apply_to_event.constprop.73 at ../src/udev/udev-rules.c:2108
 #6 udev_event_execute_rules at ../src/udev/udev-event.c:811
 #7 worker_new.lto_priv.198 at ../src/udev/udevd.c:325
 #8 event_run at ../src/udev/udevd.c:460
 #9 event_queue_start.isra.6.lto_priv.218 at ../src/udev/udevd.c:601

Comment 1 birger 2014-08-05 08:31:08 UTC
Created attachment 924126 [details]
File: backtrace

Comment 2 birger 2014-08-05 08:31:10 UTC
Created attachment 924128 [details]
File: cgroup

Comment 3 birger 2014-08-05 08:31:11 UTC
Created attachment 924130 [details]
File: core_backtrace

Comment 4 birger 2014-08-05 08:31:12 UTC
Created attachment 924132 [details]
File: dso_list

Comment 5 birger 2014-08-05 08:31:13 UTC
Created attachment 924133 [details]
File: environ

Comment 6 birger 2014-08-05 08:31:14 UTC
Created attachment 924134 [details]
File: exploitable

Comment 7 birger 2014-08-05 08:31:15 UTC
Created attachment 924135 [details]
File: limits

Comment 8 birger 2014-08-05 08:31:17 UTC
Created attachment 924136 [details]
File: maps

Comment 9 birger 2014-08-05 08:31:18 UTC
Created attachment 924137 [details]
File: open_fds

Comment 10 birger 2014-08-05 08:31:19 UTC
Created attachment 924138 [details]
File: proc_pid_status

Comment 11 birger 2014-08-05 08:31:21 UTC
Created attachment 924139 [details]
File: var_log_messages

Comment 12 Lennart Poettering 2014-08-18 22:45:31 UTC
Fixed in git.

eb7040ec50fbfe5aad9eaf305bd442a4a235abaa

Comment 13 Jens Petersen 2014-09-25 01:27:04 UTC
Still seems to happen with F21 Alpha.

Comment 14 Tom Gundersen 2014-09-25 19:11:52 UTC
Jens,

Could you paste the truncated backtrace (like in the original report)? Is it identical?

Cheers,

Tom

Comment 15 Luke Macken 2014-09-25 22:39:00 UTC
Just hit this on 215-14.fc21, with an identical backtrace.

Comment 16 Lukas Slebodnik 2014-10-02 11:52:33 UTC
The crash is identical, because fix[1,2] is not in fedora (systemd-215-14.fc21.x86_64). It can be fixed in systemd-215-17.fc21. I didn't try it.

[1] eb7040ec50fbfe5aad9eaf305bd442a4a235abaa
[2] http://lists.freedesktop.org/archives/systemd-commits/2014-August/006821.html

Comment 17 Lukas Slebodnik 2014-10-03 08:33:46 UTC
Could you backport fix eb7040ec50fbfe5aad9eaf305bd442a4a235abaa to fedora 21?
It is annoying to see 15 crashes of systemd-udevd per day.

Comment 18 Fedora Update System 2014-10-03 13:05:04 UTC
systemd-215-19.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/systemd-215-19.fc21

Comment 19 Fedora Update System 2014-10-04 03:27:23 UTC
Package systemd-215-19.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing systemd-215-19.fc21'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-12142/systemd-215-19.fc21
then log in and leave karma (feedback).

Comment 20 Fedora Update System 2014-10-05 08:14:56 UTC
systemd-215-19.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.